use cvrf_xmlparser::{
    CVRF,
    SaInfo as CUSA,
};

pub mod cli;

/// 定义 crate::Error
/// 大部分函数返回的错误
pub type Error = Box<dyn std::error::Error + Send + Sync>;

/// 定义 crate::Result
pub type Result<T> = std::result::Result<T, Error>;

pub fn cumain() -> Result<()> {
    let cli = cli::parse();
    Ok(())
}
